| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
File Open Constants

## Variables
const | Qore::O_ACCMODE = O_ACCMODE
| Mask for access modes (O_RDONLY|O_WRONLY|O_RDWR)
const | Qore::O_APPEND = O_APPEND
| Open the file in append mode (append on each write)
const | Qore::O_CREAT = O_CREAT
| Create the file if it doesn't exist.
const | Qore::O_DIRECT = O_DIRECT
| direct disk access hint (0 on platforms where this is not available)
const | Qore::O_DIRECTORY = O_DIRECTORY
| must be a directory (0 on platforms where this is not available)
const | Qore::O_EXCL = O_EXCL
| Raise an error if used with O_CREAT and the file exists.
const | Qore::O_NDELAY = O_NDELAY
| synonym for O_NONBLOCK (untested with Qore; 0 on platforms where this is not available)
const | Qore::O_NOCTTY = O_NOCTTY
| don't allocate controlling tty (0 on platforms where this is not available)
const | Qore::O_NOFOLLOW = O_NOFOLLOW
| don't follow links (0 on platforms where this is not available)
const | Qore::O_NONBLOCK = O_NONBLOCK
| non-blocking I/O (untested with Qore; 0 on platforms where this is not available)
const | Qore::O_RDONLY = O_RDONLY
| Open the file read-only.
const | Qore::O_RDWR = O_RDWR
| Open for reading and writing.
const | Qore::O_SYNC = O_SYNC
| synchronized file update option (0 on platforms where this is not available)
const | Qore::O_TRUNC = O_TRUNC
| Truncate the size to zero.
const | Qore::O_WRONLY = O_WRONLY
| Open the file write-only.

## Detailed Description

These are the possible values that can be or'ed together when calling File::open() or File::open2()